<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="robots" content="index, follow"/>
    <meta name="description" content=""/>
    <meta name="keywords" content=""/>
    <meta name="author" content="William Chang"/>
    <title>Domain Generator</title>
    <style type="text/css" media="screen">

/* Baseline Elements */
body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,code,form,fieldset,legend,input,textarea,p,blockquote,th,td{margin:0;padding:0;}table{border-collapse:collapse;border-spacing:0;}fieldset,img{border:0;}address,caption,cite,code,dfn,em,strong,th,var{font-style:normal;font-weight:normal;}li{list-style:none;}caption,th{text-align:left;}h1,h2,h3,h4,h5,h6{font-size:100%;font-weight:normal;}q:before,q:after{content:'';}abbr,acronym {border:0;font-variant:normal;}sup {vertical-align:text-top;}sub {vertical-align:text-bottom;}input,textarea,select{font-family:inherit;font-size:inherit;font-weight:inherit;}legend{color:#000;}
table { empty-cells:show; }
/* Baseline Styles */
body { font-family:Verdana, Arial, Helvetica, sans-serif;font-size:0.9em;color:#000; }
/* Round Corners */
em.stop, em.sbtm { display:block;background:transparent;font-size:1px; }
em.s1, em.s2, em.s3, em.s4 { display:block;overflow:hidden; }
em.s1, em.s2, em.s3 { height:1px; }
em.s2, em.s3, em.s4 { background:#fbfbfb;border-left:1px solid #ebebeb;border-right:1px solid #ebebeb; }
em.s1 { margin:0 5px;background:#ebebeb; }
em.s2 { margin:0 3px;border-width:0 2px; }
em.s3 { margin:0 2px; }
em.s4 { height:2px;margin:0 1px; }
.s-sbox { display:block;background:#fbfbfb;border:0 solid #ebebeb;border-width:0 1px; }
/* Frame Properties */
body { background:url(http://www.creativecrew.org/images/body_bg2.gif) #f9fcfe repeat fixed 0 0; }
#frame { width:660px;margin:0 auto;padding:64px 0; }
#frame .buffer { padding:4px 0; }
/* Content Properties */
.content { width:640px;margin:0 auto;overflow:hidden;border:1px solid #ddd;background:#fff; }
.content .buffer { margin:10px 10px; }
.content .section { margin:10px 0 0 0;padding:10px 0 0 10px;background:url(http://www.creativecrew.org/images/left-top-corner-box.jpg) transparent no-repeat top left; }
/* Element Properties */
h1 { color:#3c475b;font-weight:bold;font-size:1.6em; }
h2 { color:#3c475b;font-weight:bold;font-size:1.3em; }
h3 { color:#3c475b;font-weight:bold;font-size:1.2em;margin-bottom:8px; }
p { margin:1.33em 0; }
pre { font-size:1.4em; }
blockquote { margin:0 40px 0 40px;font-style:italic; }
ul { margin:10px 0 10px 20px; }
ul li { list-style-type:disc; }
ul li ul { margin:0 0 0 20px;list-style-type:circle; }
ul li ul li { list-style-type:circle; }
ul li ul li ul li { list-style-type:square; }
ol { margin:10px 0 10px 30px; }
ol li { list-style-type:decimal; }
dl { margin:10px 0 10px 0; }
dl dt { margin:4px 0; }
dl dd { margin:2px 0 2px 40px; }
strong { font-weight:bold; }
/* Generic Classes */
.bold { font-weight:bold; }
.italic { font-style:italic; }
.center { text-align:center; }
.line {	border-top: 1px solid #ccc;border-bottom: 1px solid #efefef;margin:8px auto;height:0;overflow:hidden; }
.image { float:right;margin:10px 0 10px 10px;border:4px solid #ddd; }
.bgwhite { background-color:#fff; }
/* Links */
a { color:#524cc3; }
a:link, a:visited { text-decoration:none;color:#524cc3; }
a:hover, a:active { text-decoration:underline;color:#524cc3; }
h1 a { color:#3c475b; }
h1 a:link, h1 a:visited { text-decoration:none;color:#3c475b; }
h1 a:hover, h1 a:active { text-decoration:none;color:#000; }
h3 a { color:#3c475b; }
h3 a:link, h3 a:visited { text-decoration:none;color:#3c475b; }
h3 a:hover, h3 a:active { text-decoration:none;color:#000; }
/* Footer */
.credit { margin:10px 0;font-size:0.6em;color:#666; }
.credit a:link, .credit a:visited { text-decoration:none;color:#666; }
.credit a:hover, .credit a:active { text-decoration:underline;color:#999; }
.badges ul { margin:0;padding:0;width:100%; }
.badges ul li { display:inline; }
/* Page Specific Styles */
.error { padding:1em;margin-bottom:1em;border:dashed 1px #ff0000;background:#ffcccc;overflow:auto; }
.inform { padding:1em;margin-bottom:1em;border:dashed 1px #008000;background:#bbeebb;overflow:auto; }
.frmcommon { text-align:center; }
.frmcommon .inputs {}
.frmcommon .inputs input { width:520px;border:solid 1px #b4b4b4; }
.frmcommon .inputs textarea { width:480px;height:240px;border:solid 1px #b4b4b4;background:#fcfcfc; }
.frmcommon .controls { margin-top:10px;text-align:center; }
.frmcommon .controls input { width:160px; }
.tbl { width:100%;margin-bottom:1em; }
.tbl th { padding:2px;border:solid 1px #ccc;background:#f3f3f3;font-weight:bold; }
.tbl td { padding:2px;border:solid 1px #ccc; }

    </style>
    <style type="text/css" media="print">

body { font-family:"Times New Roman", Times, serif;font-size:0.9em;color:#000; }
img { border:0; }
form { display:none; }
h1 { padding-bottom:8px;border-bottom:#000 solid 1px;text-align:center;font-size:1.6em; }
a:link, a:visited, a:hover, a:active { text-decoration:none;color:#000; }
.printhide { display:none; }
.credit { padding-top:8px;border-top:1px solid #000;text-align:center; }
.badges { display:none; }

    </style>
    <script src="http://jquery.com/src/jquery-latest.js" type="text/javascript"></script>
    <script src="http://ui.jquery.com/js/ui.js" type="text/javascript"></script>
    <script type="text/javascript">
    //<![CDATA[

// Register ready event to be executed when the DOM document has finished loading.
$(document).ready(function() {
// Perform ajax to ASP.NET.
	$('div.frmcommon .controls > input#ajax-request-aspnet-btn').click(function() {
		var thisButton = $(this);
		$(thisButton).attr('disabled', 'disabled');
		$('div#ajax-output').addClass('inform').hide('slow').html('');
		var ajaxMethod = $('input#ajax-method-txt').val();
		var ajaxArguments = $('input#ajax-arguments-txt').val();

	// Perform ajax to PHP.
	$('div.frmcommon .controls > input#ajax-request-php-btn').click(function() {
		var thisButton = $(this);
		$(thisButton).attr('disabled', 'disabled');
		$('div#ajax-output').addClass('inform').hide('slow');
		var ajaxMethod = $("input#ajax-method-txt").val();
		var ajaxArguments = $("input#ajax-arguments-txt").val();

		if(typeof ajaxMethod === 'string' && typeof ajaxArguments === 'string') {
			$.ajax({
				type:'POST',
				url:'http://www.williamchang.org/rpc/get.php',
				beforeSend:function(xhr) {
					xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
				},
				data:{json:'{"jsonrpc":"2.0", "method":"' + ajaxMethod + '", "params":[' + ajaxArguments + '], "id":1}'},
				dataType:'text',
				timeout:1000,
				error:function(XMLHttpRequest, textStatus, errorThrown) {
					var header = '<h4>Ajax Error</h4><br/>';
					$('div#ajax-output').addClass('error').html(header + textStatus).show('slow', function() {
						if($.browser.msie) {$(this).get(0).style.removeAttribute('filter');}
					});
					$(thisButton).removeAttr('disabled');
				},
				success:function(data, textStatus) {
					var header = '<h4>PHP JSON RPC</h4><br/>';
					$('div#ajax-output').addClass('inform').html(header + data).show('slow', function() {
						if($.browser.msie) {$(this).get(0).style.removeAttribute('filter');}
					});
					$(thisButton).removeAttr('disabled');
				}
			});
		}
		return false;
	});
});

    //]]>
    </script>
</head>
<body>
<div id="frame">
    <em class="stop"><em class="s1"></em><em class="s2"></em><em class="s3"></em><em class="s4"></em></em><div class="s-sbox">
    <div class="buffer"><div class="content"><div class="buffer">
    <div id="region-middle" class="region-middle-style">
        <h1><a href="http://www.creativecrew.org/">Domain Generator</a></h1>
        <div class="line"></div>
<!-- BEGIN: Template Region Middle -->
        <div class="section">
            <h3>Ajax</h3>
            <div id="ajax-output"></div>
            <div class="frmcommon">
                <div class="inputs"><label>Method:</label><br/><input type="text" id="ajax-method-txt" name="ajax-method-txt" value="SandboxJsonRpc.Accessor.getMessage"/></div>
                <div class="inputs"><label>Arguments:</label><br/><input type="text" id="ajax-arguments-txt" name="ajax-arguments-txt" value="&quot;Hello World!&quot;"/></div>
                <div class="controls"><input type="button" id="ajax-request-aspnet-btn" value="Request ASP.NET"> <input type="button" id="ajax-request-php-btn" value="Request PHP"> <input type="reset" id="ajax-clear-btn" value="Clear"></div>
            </div>
        </div>
<!-- END: Template Region Middle -->
	</div>
	</div></div></div>
	</div><em class="sbtm"><em class="s4"></em><em class="s3"></em><em class="s2"></em><em class="s1"></em></em>
	<div class="credit center">Designed by <a href="http://www.babybluebox.com/" title="DieHard">William Chang</a></div>
	<div class="badges center"><ul>
		<li><a href="http://validator.w3.org/check?uri=referer" title="W3C XHTML Compliant"><img src="http://www.diehard.cc/images/valid_xhtml_80x15.png" alt="W3C XHTML Compliant" title="W3C XHTML Compliant" height="15" width="80"/></a></li>
		<li><a href="http://jigsaw.w3.org/css-validator/validator?uri=http://www.creativecrew.org" title="W3C CSS Compliant"><img src="http://www.diehard.cc/images/valid_css_80x15.png" alt="W3C CSS Compliant" title="W3C CSS Compliant" height="15" width="80"/></a></li>
	</ul></div>
</div>
</body>
</html>